List project artifacts
curl --request GET \
--url https://api.uselemma.ai/projects/{project_id}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/projects/{project_id}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/projects/{project_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"selected_agent_name": "<string>",
"agents": [
{
"agent_name": "<string>",
"latest_version": 123,
"updated_at": "<string>"
}
],
"learn_agent_artifact": {
"version": 123,
"run_id": "<string>",
"agent_name": "<string>",
"knowledge_md": "<string>",
"mermaid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"uploaded_artifacts": [
{
"id": "<string>",
"project_id": "<string>",
"agent_name": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}Artifacts
List project artifacts
Returns learn-agent and uploaded artifacts for a project, scoped to the selected agent.
GET
/
projects
/
{project_id}
/
artifacts
List project artifacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID
Query Parameters
Optional agent name used to scope artifacts. Omit to select the most recently updated artifact agent.
⌘I